summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
authorshylesh <shmohan@redhat.com>2011-12-26 20:14:30 +0530
committershylesh <shmohan@redhat.com>2012-01-10 13:08:50 +0530
commit02942191041fe9604eaa1d042e1cda3425af66d1 (patch)
tree995c0cb03470c0e6ee0e4a59f6ec34d2b851c6f0 /dvm
parent7ae87eb9158bbd29af6beb561616b2ce75a85cd2 (diff)
BUG:764030-Checks for last brick removal
Change-Id: Ia96db34270a112fce69644e907c27fae65bbfc58 BUG: 764030 Signed-off-by: shylesh <shmohan@redhat.com>
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/764030/testcase15
1 files changed, 15 insertions, 0 deletions
diff --git a/dvm/764030/testcase b/dvm/764030/testcase
new file mode 100755
index 0000000..6db9aca
--- /dev/null
+++ b/dvm/764030/testcase
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster --mode=script volume remove-brick $global_bug_id\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick2 \
+ | grep 'Deleting all the bricks of the volume is not allowed' 1>/dev/null
+
+exit $?